$(function(){
var chart = $("#chart").dxChart({
dataSource: dataSource,
rotated: true,
commonSeriesSettings: {
argumentField: "breed",
type: "bar"
},
series: {
valueField: "count",
name: "breeds",
color: "#a3d6d2",
selectionStyle: {
color: "#ec2e7a",
hatching: { direction: "none" }
}
},
title: {
text: "Most Popular US Cat Breeds"
},
legend: {
visible: false,
},
"export": {
enabled: true
},
onPointClick: function(e) {
var point = e.target;
if(point.isSelected()) {
point.clearSelection();
} else {
point.select();
}
}
}).dxChart("instance");
chart.getSeriesByPos(0).getPointsByArg("Siamese")[0].select();
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.4/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
var dataSource = [{
breed: "Domestic Shorthair",
count: 61046
}, {
breed: "American Shorthair",
count: 37545
}, {
breed: "Domestic Medium Hair",
count: 16776
}, {
breed: "Domestic Long Hair",
count: 15049
}, {
breed: "Siamese",
count: 14582
}, {
breed: "Maine Coon",
count: 10852
}, {
breed: "Persian",
count: 6717
}, {
breed: "Russian Blue",
count: 3864
}, {
breed: "Himalayan",
count: 3701
}, {
breed: "Ragdoll",
count: 3567
}, {
breed: "Bengal",
count: 3118
}, {
breed: "Manx",
count: 2349
}, {
breed: "British Shorthair",
count: 2171
}, {
breed: "Norwegian Forest Cat",
count: 1827
}, {
breed: "Bombay",
count: 1580
}];

Your search did not match any results.
Charts

API - Select a Point

Documentation

This demo shows how easily you can access a necessary chart series and select a specific point in it using the API.

Backend API
Copy to CodeSandBox
Apply
Reset
import React from 'react'; import Chart, { CommonSeriesSettings, Series, SelectionStyle, Hatching, Legend, Export, } from 'devextreme-react/chart'; import { catBreedsData } from './data.js'; class App extends React.Component { render() { return ( <Chart id="chart" dataSource={catBreedsData} rotated={true} onDone={onDone} onPointClick={onPointClick} title="Most Popular US Cat Breeds" > <CommonSeriesSettings argumentField="breed" type="bar" /> <Series valueField="count" name="breeds" color="#a3d6d2" > <SelectionStyle color="#ec2e7a"> <Hatching direction="none" /> </SelectionStyle> </Series> <Legend visible={false} /> <Export enabled={true} /> </Chart> ); } } function onDone({ component }) { component.getSeriesByPos(0).getPointsByArg('Siamese')[0].select(); } function onPointClick({ target: point }) { if (point.isSelected()) { point.clearSelection(); } else { point.select(); } } export default App;
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render( <App />, document.getElementById('app'), );
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.js"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
#chart { height: 440px; }
export const catBreedsData = [{ breed: 'Domestic Shorthair', count: 62942, }, { breed: 'American Shorthair', count: 38287, }, { breed: 'Domestic Medium Hair', count: 15652, }, { breed: 'Domestic Long Hair', count: 13670, }, { breed: 'Siamese', count: 13377, }, { breed: 'Maine Coon', count: 11254, }, { breed: 'Persian', count: 7198, }, { breed: 'Russian Blue', count: 3569, }, { breed: 'Himalayan', count: 3755, }, { breed: 'Ragdoll', count: 3426, }, { breed: 'Bengal', count: 2966, }, { breed: 'Manx', count: 2391, }, { breed: 'British Shorthair', count: 2329, }, { breed: 'Norwegian Forest Cat', count: 1817, }, { breed: 'Bombay', count: 1486, }];
window.config = { transpiler: 'plugin-babel', meta: { 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, defaultExtension: 'js', map: { 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types@15.8.1/prop-types.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@22.2.3/cjs', 'devextreme-react': 'npm:devextreme-react@22.2.3', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js', // SystemJS plugins 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.7.1/standalone.js', 'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, react: true, }, }; System.config(window.config);

Your search did not match any results.
Charts

API - Select a Point

Documentation

This demo shows how easily you can access a necessary chart series and select a specific point in it using the API.

Backend API
Copy to CodeSandBox
Apply
Reset
<dx-chart id="chart" [dataSource]="catBreedsData" [rotated]="true" title="Most Popular US Cat Breeds" (onPointClick)="pointClick($event)" (onDone)="done($event)" > <dxi-series valueField="count" name="breeds" color="#a3d6d2"> <dxo-selection-style color="#ec2e7a"> <dxo-hatching direction="none"></dxo-hatching> </dxo-selection-style> </dxi-series> <dxo-common-series-settings argumentField="breed" type="bar"> </dxo-common-series-settings> <dxo-legend [visible]="false"></dxo-legend> <dxo-export [enabled]="true"></dxo-export> </dx-chart>
import { NgModule, Component, enableProdMode } from '@angular/core'; import { BrowserModule } from '@angular/platform-browser'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { DxChartModule } from 'devextreme-angular'; import { Service, CatBreed } from './app.service'; if (!/localhost/.test(document.location.host)) { enableProdMode(); } @Component({ selector: 'demo-app', providers: [Service], templateUrl: 'app/app.component.html', styleUrls: ['app/app.component.css'], }) export class AppComponent { catBreedsData: CatBreed[]; constructor(service: Service) { this.catBreedsData = service.getCatBreedsData(); } pointClick(e: any) { const point = e.target; if (point.isSelected()) { point.clearSelection(); } else { point.select(); } } done(e: any) { e.component.getSeriesByPos(0).getPointsByArg('Siamese')[0].select(); } } @NgModule({ imports: [ BrowserModule, DxChartModule, ], declarations: [AppComponent], bootstrap: [AppComponent], }) export class AppModule { } platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart { height: 440px; }
import { Injectable } from '@angular/core'; export class CatBreed { breed: string; count: number; } const catBreeds: CatBreed[] = [{ breed: 'Domestic Shorthair', count: 62942, }, { breed: 'American Shorthair', count: 38287, }, { breed: 'Domestic Medium Hair', count: 15652, }, { breed: 'Domestic Long Hair', count: 13670, }, { breed: 'Siamese', count: 13377, }, { breed: 'Maine Coon', count: 11254, }, { breed: 'Persian', count: 7198, }, { breed: 'Russian Blue', count: 3569, }, { breed: 'Himalayan', count: 3755, }, { breed: 'Ragdoll', count: 3426, }, { breed: 'Bengal', count: 2966, }, { breed: 'Manx', count: 2391, }, { breed: 'British Shorthair', count: 2329, }, { breed: 'Norwegian Forest Cat', count: 1817, }, { breed: 'Bombay', count: 1486, }]; @Injectable() export class Service { getCatBreedsData(): CatBreed[] { return catBreeds; } }
// In real applications, you should not transpile code in the browser. // You can see how to create your own application with Angular and DevExtreme here: // https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/ window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, }, meta: { 'typescript': { 'exports': 'ts', }, 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, map: { 'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', '@angular/core': 'npm:@angular/core@12.2.17', '@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17', '@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17', '@angular/forms': 'npm:@angular/forms@12.2.17', '@angular/common': 'npm:@angular/common@12.2.17', '@angular/compiler': 'npm:@angular/compiler@12.2.17', 'tslib': 'npm:tslib@2.3.1/tslib.js', 'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js', 'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@22.2.5/cjs', 'devextreme/bundles/dx.all': 'npm:devextreme@22.2.5/bundles/dx.all.js', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.1.72', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.42', 'devextreme-angular': 'npm:devextreme-angular@22.2.5', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'app': { main: './app.component.ts', defaultExtension: 'ts', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, 'rxjs': { defaultExtension: 'js', }, 'rxjs/operators': { defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', 'npm:@angular/*/package.json', 'npm:@angular/common@12.2.17/*/package.json', 'npm:rxjs@7.5.3/package.json', 'npm:rxjs@7.5.3/operators/package.json', 'npm:devextreme-angular@22.2.5/*/package.json', 'npm:devextreme-angular@22.2.5/ui/*/package.json', 'npm:devextreme-angular@22.2.5/package.json', 'npm:devexpress-diagram@2.1.72/package.json', 'npm:devexpress-gantt@4.1.42/package.json', ], }; System.config(window.config);
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.5/css/dx.light.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script> <script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script src="config.js"></script> <script> System.import("app").catch(console.error.bind(console)); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <demo-app>Loading...</demo-app> </div> </body> </html>

<template>
<DxChart
id="chart"
:data-source="catBreedsData"
:rotated="true"
title="Most Popular US Cat Breeds"
@done="onDone"
@point-click="onPointClick"
>
<DxCommonSeriesSettings
argument-field="breed"
type="bar"
/>
<DxSeries
value-field="count"
name="breeds"
color="#a3d6d2"
>
<DxSelectionStyle color="#ec2e7a">
<DxHatching direction="none"/>
</DxSelectionStyle>
</DxSeries>
<DxLegend :visible="false"/>
<DxExport :enabled="true"/>
</DxChart>
</template>
<script>
import DxChart, {
DxCommonSeriesSettings,
DxSelectionStyle,
DxHatching,
DxSeries,
DxLegend,
DxExport,
} from 'devextreme-vue/chart';
import { catBreedsData } from './data.js';
export default {
components: {
DxChart,
DxCommonSeriesSettings,
DxSelectionStyle,
DxHatching,
DxSeries,
DxLegend,
DxExport,
},
data() {
return {
catBreedsData,
};
},
methods: {
onDone({ component }) {
component.getSeriesByPos(0).getPointsByArg('Siamese')[0].select();
},
onPointClick({ target: point }) {
if (point.isSelected()) {
point.clearSelection();
} else {
point.select();
}
},
},
};
</script>
<style>
#chart {
height: 440px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const catBreedsData = [{
breed: 'Domestic Shorthair',
count: 61046,
}, {
breed: 'American Shorthair',
count: 37545,
}, {
breed: 'Domestic Medium Hair',
count: 16776,
}, {
breed: 'Domestic Long Hair',
count: 15049,
}, {
breed: 'Siamese',
count: 14582,
}, {
breed: 'Maine Coon',
count: 10852,
}, {
breed: 'Persian',
count: 6717,
}, {
breed: 'Russian Blue',
count: 3864,
}, {
breed: 'Himalayan',
count: 3701,
}, {
breed: 'Ragdoll',
count: 3567,
}, {
breed: 'Bengal',
count: 3118,
}, {
breed: 'Manx',
count: 2349,
}, {
breed: 'British Shorthair',
count: 2171,
}, {
breed: 'Norwegian Forest Cat',
count: 1827,
}, {
breed: 'Bombay',
count: 1580,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.4',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);